Bug 1269735 - tools/glusterfind: fix %2F%2F character sequence in file paths emitted in output file
tools/glusterfind: fix %2F%2F character sequence in file paths emitted in out...
Status: MODIFIED
Product: GlusterFS
Classification: Community
Component: glusterfind (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milind Changire
bugs@gluster.org
: Reopened
Depends On:
Blocks: 1269784 1269789
  Show dependency treegraph
 
Reported: 2015-10-08 02:41 EDT by Milind Changire
Modified: 2016-03-11 03:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1269784 1269789 (view as bug list)
Environment:
Last Closed: 2016-03-11 03:28:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milind Changire 2015-10-08 02:41:19 EDT
Description of problem:
File paths emitted in output file contain %2F%2F as directory separator instead of a single %2F.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create glusterfind session on a volume
2. Create files in sub-directories on volume
3. Wait for 20 seconds for changelog rollover
4. Run a glusterfind pre command to generate an output file
5. File will contain paths with %2F%2F character sequence

Actual results:


Expected results:
Only single character sequence of %2F should be present as directory separator

Additional info:
Comment 1 Milind Changire 2015-11-19 01:45:19 EST
Fixed in main.py::write_output() of http://review.gluster.org/12362
Comment 2 Milind Changire 2016-02-15 01:51:04 EST
Fixed as part of bug 1272006
See comment #1 for patch link
Comment 3 Milind Changire 2016-03-11 03:28:42 EST
See comment #1 and comment #2 above
Comment 4 Milind Changire 2016-03-11 03:34:13 EST
oops! other bug still in MODIFIED state
will address this later

Note You need to log in before you can comment on or make changes to this bug.